type: com.google.api.codegen.ConfigProto
config_schema_version: 1.0.0
language_settings:
  java:
    package_name: com.google.streetview.publish.v1
  python:
    package_name: google.streetview.publish_v1.gapic
  go:
    # Seems to match other formats, e.g.
    # https://github.com/google/google-api-go-client/blob/master/examples/youtube.go
    package_name: google.golang.org/api/streetviewpublish/v1
  csharp:
    package_name: Google.Streetview.Publish.V1
  ruby:
    package_name: Google::Streetview::Publish::V1
  php:
    package_name: Google\Streetview\Publish\V1
  nodejs:
    package_name: google.streetview.publish.v1
license_header:
  copyright_file: copyright-google.txt
  license_file: license-header-apache-2.0.txt
interfaces:
- name: google.streetview.publish.v1.StreetViewPublishService
  smoke_test:
    method: CreatePhoto
  collections: []
  retry_codes_def:
  - name: idempotent
    retry_codes:
    - UNAVAILABLE
    - DEADLINE_EXCEEDED
  - name: non_idempotent
    retry_codes: []
  retry_params_def:
  - name: default
    initial_retry_delay_millis: 100
    retry_delay_multiplier: 1.3
    max_retry_delay_millis: 60000
    initial_rpc_timeout_millis: 20000
    rpc_timeout_multiplier: 1
    max_rpc_timeout_millis: 20000
    total_timeout_millis: 600000
  methods:
  - name: StartUpload
    request_object_method: false
    retry_codes_name: non_idempotent
    retry_params_name: default
    timeout_millis: 60000
  - name: CreatePhoto
    flattening:
      groups:
      - parameters:
        - photo
    required_fields:
    - photo
    request_object_method: false
    retry_codes_name: non_idempotent
    retry_params_name: default
    timeout_millis: 60000
  - name: GetPhoto
    flattening:
      groups:
      - parameters:
        - photo_id
        - view
    required_fields:
    - photo_id
    - view
    request_object_method: true
    retry_codes_name: idempotent
    retry_params_name: default
    timeout_millis: 60000
  - name: BatchGetPhotos
    flattening:
      groups:
      - parameters:
        - photo_ids
        - view
    required_fields:
    - photo_ids
    - view
    request_object_method: true
    retry_codes_name: idempotent
    retry_params_name: default
    timeout_millis: 60000
  - name: ListPhotos
    flattening:
      groups:
      - parameters:
        - view
        - filter
    required_fields:
    - view
    - filter
    request_object_method: true
    page_streaming:
      request:
        page_size_field: page_size
        token_field: page_token
      response:
        token_field: next_page_token
        resources_field: photos
    retry_codes_name: idempotent
    retry_params_name: default
    timeout_millis: 60000
  - name: UpdatePhoto
    flattening:
      groups:
      - parameters:
        - photo
        - update_mask
    required_fields:
    - photo
    - update_mask
    request_object_method: true
    retry_codes_name: idempotent
    retry_params_name: default
    timeout_millis: 60000
  - name: BatchUpdatePhotos
    flattening:
      groups:
      - parameters:
        - update_photo_requests
    required_fields:
    - update_photo_requests
    request_object_method: false
    retry_codes_name: non_idempotent
    retry_params_name: default
    timeout_millis: 60000
  - name: DeletePhoto
    flattening:
      groups:
      - parameters:
        - photo_id
    required_fields:
    - photo_id
    request_object_method: false
    retry_codes_name: idempotent
    retry_params_name: default
    timeout_millis: 60000
  - name: BatchDeletePhotos
    flattening:
      groups:
      - parameters:
        - photo_ids
    required_fields:
    - photo_ids
    request_object_method: false
    retry_codes_name: non_idempotent
    retry_params_name: default
    timeout_millis: 60000
